/****************************************************************************
**
** Copyright (C) 2012 Róbert Márki
**
** This file is part of Web Feeds.
**
** Web Feeds is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** Web Feeds is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with Web Feeds.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************************/

#ifndef PARENTITEM_H
#define PARENTITEM_H
#include "googlereaderitem.h"

namespace GoogleReader
{
class ParentItem : public GoogleReaderItem
{
    Q_OBJECT
    Q_PROPERTY(int unreadCount READ unreadCount NOTIFY unreadCountChanged)
    Q_PROPERTY(bool feedReadBusy READ feedReadBusy WRITE setFeedReadBusy NOTIFY feedReadBusyChanged)
public:
    explicit ParentItem(PageItemPtr parent = PageItemPtr(), AbstractFeedAggreagatorService* service = 0);
    int unreadCount() const;
    void setUnreadCount(int unreadCount);
    bool feedReadBusy() const;
    void setFeedReadBusy(bool busy);

private:
    int m_unreadCount;
    bool m_feedReadBusy;

signals:
    void unreadCountChanged();
    void feedReadBusyChanged();
};
typedef QSharedPointer<ParentItem> ParentItemPtr;
typedef QWeakPointer<ParentItem> ParentItemWeakRef;
} // namespace GoogleReader
#endif // PARENTITEM_H
